import { Component } from 'react';
import type { ToolbarButtonType } from '../ToolbarButton';
import type { RichContentTheme } from 'wix-rich-content-common';
interface DropdownButtonProps {
    isMobile: boolean;
    tabIndex?: number;
    buttons: unknown[];
    tooltip: string;
    dataHook: string;
    isActive: () => boolean;
    isDisabled: () => boolean;
    theme: RichContentTheme;
    getLabel?: () => string;
    getIcon: () => any;
    onClick: (any: any) => void;
    arrow?: boolean;
    onClose: () => void;
    setKeepOpen?: (boolean: any) => void;
}
declare class DropdownButton extends Component<DropdownButtonProps> {
    isDropDownOpen: boolean;
    buttonRef?: ToolbarButtonType | null;
    constructor(props: any);
    handleDropDownClick: (onClick: any) => () => void;
    onDropDownClose: (onClose: any) => () => void;
    render(): JSX.Element;
}
export default DropdownButton;
//# sourceMappingURL=DropdownButton.d.ts.map