import { PureComponent } from 'react';
import type { RichContentTheme } from 'wix-rich-content-common';
interface GroupButtonProps {
    isMobile?: boolean;
    tabIndex?: number;
    buttons: any;
    tooltip: string;
    dataHook?: string;
    isActive: () => boolean;
    isDisabled: () => boolean;
    theme?: RichContentTheme;
}
interface State {
    isOpen: boolean;
    Icon: any;
    isDisabled: () => boolean;
}
declare class GroupButton extends PureComponent<GroupButtonProps, State> {
    static defaultProps: {
        isActive: () => boolean;
        isDisabled: () => boolean;
    };
    constructor(props: any);
    componentWillReceiveProps: (nextProps: any) => void;
    toggleOptions: () => void;
    hideOptions: () => void;
    onChange: ({ onClick, getIcon, isDisabled }: {
        onClick: any;
        getIcon: any;
        isDisabled: any;
    }) => (e: any) => void;
    renderOptions: () => JSX.Element;
    render(): JSX.Element;
}
export default GroupButton;
//# sourceMappingURL=GroupButton.d.ts.map