/// <reference types="lodash" />
import type { ReactElement } from 'react';
import React, { PureComponent } from 'react';
interface ToolbarContainerProps {
    children: ReactElement;
    isMobile?: boolean;
    showToolbar: boolean;
    focusEditor: () => void;
    onInlineToolbarOpen?: () => void;
}
interface State {
    toolbarPosition: Record<string, any> | undefined;
    isVisible: boolean;
    keepOpen?: boolean;
}
declare class FloatingToolbarContainer extends PureComponent<ToolbarContainerProps, State> {
    toolbarContainerRef?: React.RefObject<any>;
    constructor(props: any);
    getRelativeParent: (element: any) => any;
    getRelativePosition(): {
        top: any;
        left: number;
    };
    componentDidMount(): void;
    componentDidUpdate: import("lodash").DebouncedFunc<() => void>;
    isToolbarOnFocus: () => any;
    setKeepOpen: (keepOpen: any) => void;
    onKeyDown: (e: any) => void;
    preventDefault: (event: any) => any;
    render(): JSX.Element;
}
export default FloatingToolbarContainer;
//# sourceMappingURL=FloatingToolbarContainer.d.ts.map