import type { ReactElement } from 'react';
import { Component } from 'react';
interface StaticToolbarContainerProps {
    children: ReactElement;
    isMobile?: boolean;
    focusEditor: () => void;
}
interface State {
    keyForRerender: boolean;
}
declare class StaticToolbarContainer extends Component<StaticToolbarContainerProps, State> {
    toolbarContainerRef?: HTMLDivElement | null;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onResizeWindow: () => void;
    setToolbarContainerRef: (ref: any) => any;
    onKeyDown: (e: any) => void;
    render(): JSX.Element;
}
export default StaticToolbarContainer;
//# sourceMappingURL=StaticToolbarContainer.d.ts.map