import type { ReactElement, ReactNode, Ref, FC } from 'react';
import React, { Component } from 'react';
declare type ToolbarButtonProps = {
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    isActive?: boolean;
    theme?: Record<string, string>;
    dataHook?: string;
    isMobile?: boolean;
    tooltipText: string;
    tabIndex?: number;
    icon?: (() => JSX.Element) | FC<any>;
    forwardRef?: Ref<any>;
    children?: ReactElement | ReactNode;
    disabled?: boolean;
    buttonContent?: string;
    showArrowIcon?: boolean;
    asGroupButton?: boolean;
    asContextButton?: boolean;
    disabledStyle?: boolean;
    onToolbarButtonClick?: () => void;
    asLink?: boolean;
    iconInActionColor?: boolean;
};
declare class ToolbarButton extends Component<ToolbarButtonProps> {
    styles: Record<string, string>;
    constructor(props: any);
    preventDefault: (event: any) => any;
    onClick: (args_0: any) => void;
    render(): JSX.Element;
}
declare const _default: React.ForwardRefExoticComponent<ToolbarButtonProps & React.RefAttributes<ToolbarButton>>;
export default _default;
export declare type ToolbarButtonType = ToolbarButton;
//# sourceMappingURL=ToolbarButton.d.ts.map