import type { ReactElement } from 'react';
import { Component } from 'react';
interface ToolbarContainerProps {
    toolbarPosition: Record<string, any>;
    children: ReactElement;
}
interface State {
    toolbarPosition: Record<string, any> | undefined;
}
declare class ToolbarContainer extends Component<ToolbarContainerProps, State> {
    toolbarContainerRef?: HTMLDivElement | null;
    constructor(props: any);
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    setToolbarContainerRef: (ref: any) => any;
    focus: () => void | undefined;
    getToolbarPosition: () => {
        top: string | null;
        left: number;
        right?: undefined;
    } | {
        top: string | null;
        right: number;
        left?: undefined;
    } | undefined;
    render(): JSX.Element;
}
export default ToolbarContainer;
//# sourceMappingURL=ToolbarContainer.d.ts.map