import type { ReactElement, ReactNode, RefObject, Ref } from 'react';
import React, { Component } from 'react';
declare type ToolbarInputButtonProps = {
    onClick?: (e: React.KeyboardEvent<HTMLDivElement> | React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    onChange: (value: string) => void;
    isActive?: boolean;
    theme?: Record<string, string>;
    dataHook?: string;
    tooltipText: string;
    tabIndex?: number;
    forwardRef?: Ref<any>;
    children?: ReactElement | ReactNode;
    disabled?: boolean;
    buttonContent?: string;
    onToolbarButtonClick?: () => void;
};
declare class ToolbarInputButton extends Component<ToolbarInputButtonProps> {
    styles: Record<string, string>;
    inputRef: RefObject<HTMLInputElement>;
    constructor(props: any);
    preventDefault: (event: any) => any;
    onKeyDown: (e: any) => false | void | undefined;
    onClick: (e: any) => void;
    render(): JSX.Element;
}
declare const _default: React.ForwardRefExoticComponent<ToolbarInputButtonProps & React.RefAttributes<ToolbarInputButton>>;
export default _default;
export declare type ToolbarInputButtonType = ToolbarInputButton;
//# sourceMappingURL=ToolbarInputButton.d.ts.map