export namespace RADIO_GROUP_VALUES {
    export const EXTERNAL_LINK: string;
    export const ANCHOR: string;
}
export const ANCHORABLE_BLOCKS: Readonly<{
    unstyled: {
        thumbnail: JSX.Element;
        type: string;
        filter: string;
    };
    header: {
        [x: string]: string | JSX.Element;
        type: string;
        filter: string;
    };
    "code-block": {
        thumbnail: JSX.Element;
        type: string;
        filter: string;
    };
    blockquote: {
        thumbnail: JSX.Element;
        type: string;
        filter: string;
    };
    "wix-draft-plugin-image": {
        thumbnail: JSX.Element;
        preview: boolean;
        type: string;
        filter: string;
    };
    "wix-draft-plugin-gallery": {
        thumbnail: JSX.Element;
        preview: boolean;
        type: string;
        filter: string;
    };
    "wix-draft-plugin-video": {
        thumbnail: JSX.Element;
        preview: boolean;
        type: string;
        filter: string;
    };
    "wix-draft-plugin-map": {
        thumbnail: JSX.Element;
        type: string;
        filter: string;
        textPath: string;
    };
    buttons: {
        thumbnail: JSX.Element;
        type: string;
        filter: string;
        textPath: string;
    };
    "wix-draft-plugin-giphy": {
        thumbnail: JSX.Element;
        preview: boolean;
        type: string;
        filter: string;
    };
    "wix-draft-plugin-file-upload": {
        thumbnail: JSX.Element;
        type: string;
        filter: string;
        textPath: string;
    };
}>;
//# sourceMappingURL=consts.d.ts.map