export default LinkButton;
declare function LinkButton({ icon, ...otherProps }: {
    [x: string]: any;
    icon: any;
}): JSX.Element;
declare namespace LinkButton {
    export namespace propTypes {
        export const onClick: PropTypes.Validator<(...args: any[]) => any>;
        export const isActive: PropTypes.Validator<boolean>;
        export const theme: PropTypes.Validator<object>;
        export const helpers: PropTypes.Requireable<object>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const tooltipText: PropTypes.Requireable<string>;
        export const pluginType: PropTypes.Requireable<string>;
        export const tabIndex: PropTypes.Requireable<number>;
        export const icon: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import PropTypes from "prop-types";
//# sourceMappingURL=LinkButton.d.ts.map