import { PureComponent } from 'react';
import type { RichContentTheme } from 'wix-rich-content-common';
interface ContextMenuProps {
    isMobile: boolean;
    tabIndex?: number;
    tooltip: string;
    dataHook: string;
    isActive: () => boolean;
    isDisabled: () => boolean;
    getIcon: () => any;
    theme: RichContentTheme;
    buttonList: any[];
    getEditorContainer: () => Element;
}
interface State {
    isOpen: boolean;
    position: {
        right: number;
    } | {
        left: number;
    } | null;
}
declare class ContextMenu extends PureComponent<ContextMenuProps, State> {
    modalRef?: HTMLDivElement | null;
    static defaultProps: {
        isActive: () => boolean;
        isDisabled: () => boolean;
    };
    constructor(props: any);
    setModalRef: (ref: any) => any;
    toggleOptions: () => void;
    hideOptions: () => void;
    onChange: ({ onClick }: {
        onClick: any;
    }) => (e: any) => void;
    renderOptions: () => JSX.Element;
    render(): JSX.Element;
}
export default ContextMenu;
//# sourceMappingURL=ContextMenu.d.ts.map