export default AnchorPanel;
declare class AnchorPanel extends React.Component<any, any, any> {
    constructor(props: any);
    styles: Record<string, string>;
    scrollRef: React.RefObject<any>;
    scrollPanelToSelectedAnchor: () => void;
    onChange: (changes: any, options?: {}) => void;
    filterChanged: (newFilter: any) => void;
    renderEmptyState: () => JSX.Element;
    anchorableElementClicked: (block: any, { defaultName }: {
        defaultName: any;
    }, e: any) => void;
}
declare namespace AnchorPanel {
    export namespace propTypes {
        export const anchorableBlocksData: PropTypes.Validator<any[]>;
        export const t: PropTypes.Validator<(...args: any[]) => any>;
        export const theme: PropTypes.Validator<object>;
        export const onChange: PropTypes.Validator<(...args: any[]) => any>;
        export const anchorValues: PropTypes.Validator<PropTypes.InferProps<{
            anchor: PropTypes.Requireable<string>;
        }>>;
        export const ariaProps: PropTypes.Requireable<object>;
        export const onEnter: PropTypes.Requireable<(...args: any[]) => any>;
        export const onEscape: PropTypes.Requireable<(...args: any[]) => any>;
        export const placeholder: PropTypes.Requireable<string>;
        export const blockPreview: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=AnchorPanel.d.ts.map