export default LinkModal;
declare class LinkModal extends React.PureComponent<any, any, any> {
    constructor(props: any);
    renderBasicLinkPanel: any;
    anchorableBlocksData: any;
    setInitialRadioGroupValue: () => string;
    isAnchorDeleted: (anchor: any) => boolean;
    isDoneButtonEnable: () => any;
    onDone: (e: any) => void;
    onDoneAnchor: (e: any) => void;
    onDoneLink: (e: any) => void;
    onDelete: (e: any) => void;
    onCancel: (e: any) => any;
    changeRadioGroup: (value: any) => void;
    onChangeLinkPanel: (linkPanelValues: any) => void;
    onChangeAnchorPanel: (anchorPanelValues: any) => void;
}
declare namespace LinkModal {
    export namespace propTypes {
        export const editorState: PropTypes.Validator<object>;
        export const anchorableBlocksData: PropTypes.Requireable<object>;
        export const url: PropTypes.Requireable<string>;
        export const anchor: PropTypes.Requireable<string>;
        export const target: PropTypes.Requireable<boolean>;
        export const rel: PropTypes.Requireable<string>;
        export const theme: PropTypes.Validator<object>;
        export const isActive: PropTypes.Requireable<boolean>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const anchorTarget: PropTypes.Requireable<string>;
        export const relValue: PropTypes.Requireable<string>;
        export const onDone: PropTypes.Validator<(...args: any[]) => any>;
        export const onCancel: PropTypes.Validator<(...args: any[]) => any>;
        export const onDelete: PropTypes.Validator<(...args: any[]) => any>;
        export const uiSettings: PropTypes.Requireable<object>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const linkTypes: PropTypes.Requireable<object>;
        export const hideUrlInput: PropTypes.Requireable<boolean>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=LinkModal.d.ts.map