export default LinkPanel;
declare class LinkPanel extends React.Component<any, any, any> {
    static defaultProps: {
        showNewTabCheckbox: boolean;
        showNoFollowCheckbox: boolean;
        showSponsoredCheckbox: boolean;
        hasCheckboxes: boolean;
        isMobile: boolean;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    textInput: React.RefObject<any>;
    styles: Record<string, string>;
    handleUrlChange: (url: any) => void;
    handleTargetChange: (event: any) => void;
    handleNofollowChange: (event: any) => void;
    handleSponsoredChange: (event: any) => void;
    onChange: (changes: any) => any;
    handleKeyDown: (e: any) => void;
    isValidUrl: (url: any) => any;
    hasError(): boolean;
    getInput: () => JSX.Element;
    getDropdown(): JSX.Element;
    getTextInput(): JSX.Element;
    getTextInputProps(): {
        type: string;
        className: string;
        placeholder: any;
        'data-hook': string;
        onBlur: () => void;
    };
}
declare namespace LinkPanel {
    export namespace propTypes {
        export const t: PropTypes.Validator<(...args: any[]) => any>;
        export const theme: PropTypes.Validator<object>;
        export const onChange: PropTypes.Validator<(...args: any[]) => any>;
        export const linkValues: PropTypes.Validator<PropTypes.InferProps<{
            url: PropTypes.Requireable<string>;
            isValid: PropTypes.Requireable<boolean>;
            targetBlank: PropTypes.Requireable<boolean>;
            nofollow: PropTypes.Requireable<boolean>;
            sponsored: PropTypes.Requireable<boolean>;
        }>>;
        export const ariaProps: PropTypes.Requireable<object>;
        export const showNewTabCheckbox: PropTypes.Requireable<boolean>;
        export const showNoFollowCheckbox: PropTypes.Requireable<boolean>;
        export const showSponsoredCheckbox: PropTypes.Requireable<boolean>;
        export const dropDown: PropTypes.Requireable<object>;
        export const onEnter: PropTypes.Requireable<(...args: any[]) => any>;
        export const onEscape: PropTypes.Requireable<(...args: any[]) => any>;
        export const placeholder: PropTypes.Requireable<string>;
        export const hideUrlInput: PropTypes.Requireable<boolean>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const hasCheckboxes: PropTypes.Requireable<boolean>;
        export const anchorTarget: PropTypes.Requireable<string>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=LinkPanel.d.ts.map