export default MultiSelectLinkPanel;
declare class MultiSelectLinkPanel extends React.PureComponent<any, any, any> {
    constructor(props: any);
    styles: Record<string, string>;
    renderRadioGroup: () => JSX.Element;
    renderSeparator: () => JSX.Element;
    renderDesktopHeader: () => JSX.Element;
    renderMultiSelectActions: () => JSX.Element;
    renderMobileTabs: () => JSX.Element;
}
declare namespace MultiSelectLinkPanel {
    export namespace propTypes {
        export const theme: PropTypes.Validator<object>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const ariaProps: PropTypes.Requireable<object>;
        export const showNewTabCheckbox: PropTypes.Requireable<boolean>;
        export const showNoFollowCheckbox: PropTypes.Requireable<boolean>;
        export const showSponsoredCheckbox: PropTypes.Requireable<boolean>;
        export const sharedPanelsProps: PropTypes.Requireable<object>;
        export const buttonsProps: PropTypes.Requireable<object>;
        export const radioGroupValue: PropTypes.Requireable<string>;
        export const changeRadioGroup: PropTypes.Requireable<(...args: any[]) => any>;
        export const linkPanelValues: PropTypes.Requireable<object>;
        export const onChangeLinkPanel: PropTypes.Requireable<(...args: any[]) => any>;
        export const onChangeAnchorPanel: PropTypes.Requireable<(...args: any[]) => any>;
        export const anchorableBlocksData: PropTypes.Requireable<object>;
        export const anchorPanelValues: PropTypes.Requireable<object>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const hasCheckboxes: PropTypes.Requireable<boolean>;
        export const blockPreview: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=MultiSelectLinkPanel.d.ts.map